# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name Stream

%global common_summary Provides functions to create and manipulate infinite lists

%global common_description This package implements functions, analogous to \
those from Data.List, to create and manipulate infinite lists: \
data Stream a = Cons a (Stream a).

Name:           ghc-%{pkg_name}
Version:        0.4.6.1
Release:        3%{?dist}
Summary:        %{common_summary}

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-lazysmallcheck-devel
# End cabal-rpm deps

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 0.4.6.1-2
- update with cabal-rpm

* Fri Oct 26 2012 Shakthi Kannan <shakthimaan AT fedoraproject dot org> - 0.4.6.1-1
- Updated to new upstream release 0.4.6.1

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 19 2012 Shakthi Kannan <shakthimaan AT fedoraproject dot org> - 0.4.6-1
- Added BRs.
- Spec file template generated by cabal2spec-0.25.5.
